(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14622,        315]
NotebookOptionsPosition[     13789,        293]
NotebookOutlinePosition[     14257,        311]
CellTagsIndexPosition[     14214,        308]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8199749238028493`*^9, 
  3.819974935536437*^9}},ExpressionUUID->"e2974e42-ab85-417b-ae68-\
d3ca546e1c16"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A", ",", 
   RowBox[{"colores", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.819971575312625*^9, 3.819971578852971*^9}, {
  3.819971634653981*^9, 3.81997181782432*^9}, {3.819971856732298*^9, 
  3.819971883708958*^9}, {3.819973668387988*^9, 3.8199736687285995`*^9}, {
  3.8199740051705475`*^9, 3.8199740442560716`*^9}, {3.819975079695634*^9, 
  3.819975180996073*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"8b1ed990-8dd1-4644-b3df-8a2052c7205e"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8199752775744085`*^9, 3.819975316036515*^9, 
  3.819975360630588*^9, 3.8199756277583594`*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"bc507337-e2ba-4075-b478-1df2e958ad07"],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.21213203435596426], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
   PolygonBox[{{-0.26170123872725054`, 
    0.9119713118684198}, {-0.1837117307087384, 
    0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
   CircleBox[{0.07624765589771844, -0.07624765589771831}, 1.004405941237764, {
    1.8325957145940461`, 2.8797932657906435`}], 
   InsetBox["\<\"a\"\>", {-0.6339745962155614, 0.6339745962155616}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.17821380690779107`, -0.7700792305685591}, \
{-0.12072437169756667`, -0.8255705699194434}, {-0.10141217973478991`, \
-0.7480375889027273}}], 
   CircleBox[{-1.0916049356239388, -1.068212670523541}, 1.0007418540240833, {
    0.24490300896420125`, 1.2921005601607987`}], 
   InsetBox["\<\"c\"\>", {-0.3721187535251874, -0.37263816540958705}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{-1.2868691777028887, -0.07685099143191673}, 
    0.10606601717798213, {0.7853481633974488, 6.021335919380437}], 
   PolygonBox[{{-1.304802012823478, -0.014085347722943793`}, \
{-1.2118654277966403`, -0.0018547415256651295`}, {-1.268925735980586, 
    0.07251539894990955}}], 
   InsetBox["\<\"b\"\>", {-1.3143159603571446, 0.025602286319114903}, 
    ImageScaled[{1, 0}]], CircleBox[{0, -1.}, 0.21213203435596426], 
   CircleBox[{0, -1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
   PolygonBox[{{0.7380851611847467, -0.08984125524348575}, {
    0.8162882692912616, -0.10606601717798207`}, {
    0.7631356592323756, -0.1656795144858767}}], 
   CircleBox[{1.0968781984258362, -1.0657925004714819}, 0.9999028108104577, {
    1.8552334151851608`, 2.902430966381758}], 
   InsetBox["\<\"c\"\>", {0.3740169501024697, -0.37493994982189627}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.13777532897530764`, 
    0.7380193547717495}, {-0.054903810567665766`, 
    0.7950961894323342}, {-0.04690958098781617, 0.6947889319108342}}], 
   CircleBox[{1.3588513389621328, 0.074233989805398}, 1.5869297191977372, {
    2.670062932293741, 3.7172604834903384`}], 
   InsetBox["\<\"b\"\>", {-0.22592763507520885, -0.008358607454644826}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.9196896379603332, -0.2619713932118577}, \
{-0.8939523545253881, -0.1837223363918798}, {-0.8390553252145878, \
-0.24513600608093156`}}], 
   CircleBox[{0.1538749987857645, -0.0013874501127792704}, 
    1.0635733040564097, {3.3138798447544007`, 4.361077395950998}], 
   InsetBox["\<\"a\"\>", {-0.6624026648223564, -0.683207770282203}, 
    ImageScaled[{1, 1}]], CircleBox[{1., 0}, 0.21213203435596426], 
   CircleBox[{1., 0}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0}], 
   PolygonBox[{{0.08801185074263757, 0.7382875760539633}, {
    0.10604764547461185`, 0.8162776636081202}, {0.1645711451738971, 
    0.7616631634157105}}], 
   CircleBox[{1.0762292852550082, 1.076258263417977}, 1.0044114328523306, {
    3.40341244150172, 4.450609992698317}], 
   InsetBox["\<\"c\"\>", {0.3660176388248698, 0.36601763960132694}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.24029686923778557`, -0.8392555013650705}, {
    0.1859818302625381, -0.8979668739467594}, {
    0.26398488989695756`, -0.9156493912160212}}], 
   CircleBox[{-0.07860519228554154, 0.07226524645263706}, 
    1.0056622991618844, {4.9785201760022915`, 6.025717727198889}], 
   InsetBox["\<\"b,a\"\>", {0.6355791521660661, -0.635758328081287}, 
    ImageScaled[{1, 1}]], CircleBox[{0, 1.}, 0.21213203435596426], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
   PolygonBox[{{-0.7617488916634465, 
    0.1645007806798614}, {-0.8162882692912616, 
    0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
   CircleBox[{-1.0762476558977185, 1.0762476558977183}, 1.0044059412377637, {
    4.97408836818384, 6.021285919380437}], 
   InsetBox["\<\"b,a\"\>", {-0.36609642956064237, 0.3659543851104575}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.0768796779653841, 1.2868614911694123}, 
    0.10606601717798213, {-1.3090469389957464`, 3.926940816987242}], 
   PolygonBox[{{0.14020273746253226`, 1.2710089600912342`}, {
    0.10432646061964014`, 1.1844082134183807`}, {0.19726304564647806`, 
    1.1966388196156594`}}], 
   InsetBox["\<\"c\"\>", {0.1793302105258885, 1.2594044633246322}, 
    ImageScaled[{0, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.8199752775744085`*^9, 3.819975316036515*^9, 
  3.819975360630588*^9, 3.819975627762349*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"b70088c5-9a87-4034-bb04-df33b46f33cc"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0., 0.8, 0.8], CircleBox[{-1., 0}, 0.21213203435596426], InsetBox[
     SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
    PolygonBox[{{-0.26170123872725054`, 
     0.9119713118684198}, {-0.1837117307087384, 
     0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
    CircleBox[{0.07624765589771844, -0.07624765589771831}, 
     1.004405941237764, {1.8325957145940461`, 2.8797932657906435`}], 
    InsetBox["\<\"a\"\>", {-0.6339745962155614, 0.6339745962155616}, 
     ImageScaled[{1, 1}]], 
    PolygonBox[{{-0.17821380690779107`, -0.7700792305685591}, \
{-0.12072437169756667`, -0.8255705699194434}, {-0.10141217973478991`, \
-0.7480375889027273}}], 
    CircleBox[{-1.0916049356239388, -1.068212670523541}, 1.0007418540240833, {
     0.24490300896420125`, 1.2921005601607987`}], 
    InsetBox["\<\"c\"\>", {-0.3721187535251874, -0.37263816540958705}, 
     ImageScaled[{1, 1}]], 
    CircleBox[{-1.2868691777028887, -0.07685099143191673}, 
     0.10606601717798213, {0.7853481633974488, 6.021335919380437}], 
    PolygonBox[{{-1.304802012823478, -0.014085347722943793`}, \
{-1.2118654277966403`, -0.0018547415256651295`}, {-1.268925735980586, 
     0.07251539894990955}}], 
    InsetBox["\<\"b\"\>", {-1.3143159603571446, 0.025602286319114903}, 
     ImageScaled[{1, 0}]]}, 
   {Hue[0.25, 0.8, 0.8], CircleBox[{0, -1.}, 0.21213203435596426], 
    CircleBox[{0, -1.}, 0.1414213562373095], InsetBox[
     SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
    PolygonBox[{{0.7380851611847467, -0.08984125524348575}, {
     0.8162882692912616, -0.10606601717798207`}, {
     0.7631356592323756, -0.1656795144858767}}], 
    CircleBox[{1.0968781984258362, -1.0657925004714819}, 0.9999028108104577, {
     1.8552334151851608`, 2.902430966381758}], 
    InsetBox["\<\"c\"\>", {0.3740169501024697, -0.37493994982189627}, 
     ImageScaled[{1, 1}]], 
    PolygonBox[{{-0.13777532897530764`, 
     0.7380193547717495}, {-0.054903810567665766`, 
     0.7950961894323342}, {-0.04690958098781617, 0.6947889319108342}}], 
    CircleBox[{1.3588513389621328, 0.074233989805398}, 1.5869297191977372, {
     2.670062932293741, 3.7172604834903384`}], 
    InsetBox["\<\"b\"\>", {-0.22592763507520885, -0.008358607454644826}, 
     ImageScaled[{1, 1}]], 
    PolygonBox[{{-0.9196896379603332, -0.2619713932118577}, \
{-0.8939523545253881, -0.1837223363918798}, {-0.8390553252145878, \
-0.24513600608093156`}}], 
    CircleBox[{0.1538749987857645, -0.0013874501127792704}, 
     1.0635733040564097, {3.3138798447544007`, 4.361077395950998}], 
    InsetBox["\<\"a\"\>", {-0.6624026648223564, -0.683207770282203}, 
     ImageScaled[{1, 1}]]}, 
   {Hue[0.5, 0.8, 0.8], CircleBox[{1., 0}, 0.21213203435596426], 
    CircleBox[{1., 0}, 0.1414213562373095], InsetBox[
     SubscriptBox["\[Sigma]", "2"], {1., 0}], 
    PolygonBox[{{0.08801185074263757, 0.7382875760539633}, {
     0.10604764547461185`, 0.8162776636081202}, {0.1645711451738971, 
     0.7616631634157105}}], 
    CircleBox[{1.0762292852550082, 1.076258263417977}, 1.0044114328523306, {
     3.40341244150172, 4.450609992698317}], 
    InsetBox["\<\"c\"\>", {0.3660176388248698, 0.36601763960132694}, 
     ImageScaled[{1, 1}]], 
    PolygonBox[{{0.24029686923778557`, -0.8392555013650705}, {
     0.1859818302625381, -0.8979668739467594}, {
     0.26398488989695756`, -0.9156493912160212}}], 
    CircleBox[{-0.07860519228554154, 0.07226524645263706}, 
     1.0056622991618844, {4.9785201760022915`, 6.025717727198889}], 
    InsetBox["\<\"b,a\"\>", {0.6355791521660661, -0.635758328081287}, 
     ImageScaled[{1, 1}]]}, 
   {Hue[0.75, 0.8, 0.8], CircleBox[{0, 1.}, 0.21213203435596426], InsetBox[
     SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
    PolygonBox[{{-0.7617488916634465, 
     0.1645007806798614}, {-0.8162882692912616, 
     0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
    CircleBox[{-1.0762476558977185, 1.0762476558977183}, 1.0044059412377637, {
     4.97408836818384, 6.021285919380437}], 
    InsetBox["\<\"b,a\"\>", {-0.36609642956064237, 0.3659543851104575}, 
     ImageScaled[{1, 1}]], 
    CircleBox[{0.0768796779653841, 1.2868614911694123}, 
     0.10606601717798213, {-1.3090469389957464`, 3.926940816987242}], 
    PolygonBox[{{0.14020273746253226`, 1.2710089600912342`}, {
     0.10432646061964014`, 1.1844082134183807`}, {0.19726304564647806`, 
     1.1966388196156594`}}], 
    InsetBox["\<\"c\"\>", {0.1793302105258885, 1.2594044633246322}, 
     ImageScaled[{0, 1}]]}, 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.8199752775744085`*^9, 3.819975316036515*^9, 
  3.819975360630588*^9, 3.819975627765341*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"c3101428-69b1-4da6-b417-44887ea6ecb1"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-4.714285714285779, Automatic}, {
  Automatic, -4.714285714285714}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5ba469ff-2b55-4c5e-872e-231d8c1374f3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 42, "Input",ExpressionUUID->"e2974e42-ab85-417b-ae68-d3ca546e1c16"],
Cell[CellGroupData[{
Cell[765, 28, 2925, 77, 209, "Input",ExpressionUUID->"8b1ed990-8dd1-4644-b3df-8a2052c7205e"],
Cell[3693, 107, 242, 3, 48, "Output",ExpressionUUID->"bc507337-e2ba-4075-b478-1df2e958ad07"],
Cell[3938, 112, 4828, 86, 564, "Output",ExpressionUUID->"b70088c5-9a87-4034-bb04-df33b46f33cc"],
Cell[8769, 200, 5004, 90, 564, "Output",ExpressionUUID->"c3101428-69b1-4da6-b417-44887ea6ecb1"]
}, Open  ]]
}
]
*)

